<?php 
require_once('../modelos/Cliente.php');

$cliente=new Cliente();

$idpersona=isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$nombre=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$idtipo_documento=isset($_POST["idtipo_documento"])? limpiarCadena($_POST["idtipo_documento"]):"";
$num_documento=isset($_POST["num_documento"])? limpiarCadena($_POST["num_documento"]):"";
$celular=isset($_POST["celular"])? limpiarCadena($_POST["celular"]):"";
$telefono=isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$whatsapp=isset($_POST["whatsapp"])? limpiarCadena($_POST["whatsapp"]):"";
$email=isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$estado=isset($_POST["estado"])? limpiarCadena($_POST["estado"]):"";
$idtipo_persona=isset($_POST["idtipo_persona"])? limpiarCadena($_POST["idtipo_persona"]):"";
$clave=isset($_POST["clave"])? limpiarCadena($_POST["clave"]):"";
$estado_portal=isset($_POST["estado_portal"])? limpiarCadena($_POST["estado_portal"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
    if(empty($clave)){
            $clavehash='0';
        }else{
        $clavehash=hash("SHA256",$clave);
        }
      if(empty($idpersona))
      {
        $rspta=$cliente->insertar($nombre,$idtipo_documento,$num_documento,$celular,$telefono,$whatsapp,$email,$estado,$idtipo_persona,$clavehash,$estado_portal);
        echo $rspta ? "Persona Registrado" : "Persona no se pudo registrar";
      }
      else {
          $rspta=$cliente->editar($idpersona,$nombre,$idtipo_documento,$num_documento,$celular,$telefono,$whatsapp,$email,$estado,$clavehash,$estado_portal);
          echo $rspta ? "Persona Actualizada" : "Persona no se pudo actualizar";
      }
    break;

    case 'mostrar':
      $rspta=$cliente->mostrar($idpersona);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'eliminar':
      $rspta=$cliente->eliminar($idpersona);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listarcliente':
      $rspta=$cliente->listarcliente();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $estado = ($reg->estado == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activa</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactiva</button>';
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->nombredocumento,
          "2"=>$reg->num_documento,
          "3"=>$reg->celular,
          "4"=>$reg->whatsapp,
          "5"=>$reg->email,          
          "6"=>$estado,
          "7"=>'<a href="create.php?idpersona=' . $reg->idpersona . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
             ' <a href="location.php?idpersona=' . $reg->idpersona . '" class="btn btn-primary btn-xs btn-flat"><i class="fa fa-map-location-dot"></i></a>'.
          ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idpersona . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;
    
    case 'listar_validacion':
      $rspta=$cliente->listar_validacion();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
       
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->apellido,
          "2"=>$reg->dni,
          "3"=>$reg->celular,
          "4"=>$reg->whatsapp
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'listarproveedor':
      $rspta=$cliente->listarproveedor();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $estado = ($reg->estado == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activa</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactiva</button>';
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->nombredocumento,
          "2"=>$reg->num_documento,
          "3"=>$reg->celular,
          "4"=>$reg->whatsapp,
          "5"=>$reg->email,          
          "6"=>$estado,
          "7"=>'<a href="create.php?idpersona=' . $reg->idpersona . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .             
          ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idpersona . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'listarcomision':
      $rspta=$cliente->listarcomision();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $estado = ($reg->estado == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activa</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactiva</button>';
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->nombredocumento,
          "2"=>$reg->num_documento,
          "3"=>$reg->celular,
          "4"=>$reg->whatsapp,
          "5"=>$reg->email,          
          "6"=>$estado,
          "7"=>'<a href="create.php?idpersona=' . $reg->idpersona . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .             
          ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idpersona . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'listartecnico':
      $rspta=$cliente->listartecnico();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $estado = ($reg->estado == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activa</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactiva</button>';
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->nombredocumento,
          "2"=>$reg->num_documento,
          "3"=>$reg->celular,
          "4"=>$reg->whatsapp,
          "5"=>$reg->email,          
          "6"=>$estado,
          "7"=>'<a href="create.php?idpersona=' . $reg->idpersona . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .             
          ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idpersona . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'selectTipoDocumento': 
      $rspta = $cliente->selectTipoDocumento();
      if ($rspta) {
          while ($reg = $rspta->fetch_object()) {
              echo "<option value='" . htmlspecialchars($reg->idtipo_documento, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') . "</option>";
          }
      } else {
          echo "<option value=''>No hay documentos disponibles</option>";
      }
      break;

      case 'selectProveedor': 
        $rspta = $cliente->selectProveedor();
        if ($rspta) {
            while ($reg = $rspta->fetch_object()) {
                echo "<option value='" . htmlspecialchars($reg->idpersona, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') . "</option>";
            }
        } else {
            echo "<option value=''>No hay proveedor disponibles</option>";
        }
        break;

        case 'selectCliente': 
          $rspta = $cliente->selectCliente();
          if ($rspta) {
              while ($reg = $rspta->fetch_object()) {
                  echo "<option value='" . htmlspecialchars($reg->idpersona, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') . "</option>";
              }
          } else {
              echo "<option value=''>No hay usuario disponibles</option>";
          }
          break;

          case 'selectComision': 
            $rspta = $cliente->selectComision();
            if ($rspta) {
                while ($reg = $rspta->fetch_object()) {
                    echo "<option value='" . htmlspecialchars($reg->idpersona, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') . "</option>";
                }
            } else {
                echo "<option value=''>No hay usuario disponibles</option>";
            }
            break;

          case 'selectDireccion': 
            $idpersona=$_REQUEST["idpersona"];
            $rspta = $cliente->selectDireccion($idpersona);
            if ($rspta) {
                while ($reg = $rspta->fetch_object()) {
                    echo "<option value='" . htmlspecialchars($reg->iddireccion, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->address, ENT_QUOTES, 'UTF-8') . "</option>";
                }
            } else {
                echo "<option value=''>No hay usuario disponibles</option>";
            }
            break;
            
            case 'selectPersonaTecnico': 
              $rspta = $cliente->selectPersonaTecnico();
              if ($rspta) {
                  while ($reg = $rspta->fetch_object()) {
                      echo "<option value='" . htmlspecialchars($reg->idpersona, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') . "</option>";
                  }
              } else {
                  echo "<option value=''>No hay usuario disponibles</option>";
              }
              break;

      
}
?>